package extend.mj.tip;


import extend.mj.EXPlayer;

/**
 * 
 * 

 */
public class Action {
	
	public Tip		tip;
	public EXPlayer	player;

	public Action(Tip tip, EXPlayer player) {
		this.tip = tip;
		this.player = player;

	}

	public void run() {
		this.player.initOpCard(tip.opcard);
		this.tip.rule.action(this.player,this.tip);
	}

}
